EUCA-ASSOCIATE-ADDRESS(1)

NAME
euca-associate-address - Associate an elastic IP address with a running instance

SYNOPSIS
euca-associate-address [-a ALLOC] (-i INSTANCE | -n INTERFACE)

[-p ADDRESS]
    [--allow-reassociation | --no-allow-reassociation] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] [ADDRESS]

DESCRIPTION
Associate an elastic IP address with a running instance

  positional arguments:

ADDRESS
    [Non-VPC only] IP address to associate (required)

  optional arguments:

-a ALLOC, --allocation-id ALLOC
    [VPC only] VPC allocation ID (required)

-i INSTANCE, --instance-id INSTANCE
    ID of the instance to associate the address with

-n INTERFACE, --network-interface INTERFACE
    [VPC only] network interface to associate the address with

-p ADDRESS, --private-ip-address ADDRESS
    [VPC only] the private address to associate with the address being associated in the VPC (default: primary private IP)

--allow-reassociation
    [VPC only] allow the address to be associated even if it is already associated with another interface

--no-allow-reassociation
    [VPC only] do not allow the address to be associated if it is already associated with another interface

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit